def desc():
	return """
The MESA 7I92 is a low cost, general purpose, FPGA based programmable I/O card
with 100 BaseT Ethernet host connection. The 7I92 that uses standard parallel port pinouts
and connectors for compatibility with most parallel port interfaced motion control / CNC
breakout cards/ multi axis step motor drives, allowing a motion control performance boost
while retaining a reliable real time Ethernet interface. Unlike the parallel port that the
7I92 replaces, each I/O bit has individually programmable direction and function.

The 7I92 has a simplified UDP host data transfer systems that allows operation in
real time and compatibility with standard networks. The 7I92 provides 34 I/O bits (17 per
connector) All I/O bits are 5V tolerant and have pullup resistors. A power source option
allows the 7I92 to supply 5V power to breakout boards if desired. This 5V power is protected
by a PTC.

Firmware modules are provided for hardware step generation, quadrature encoder
counting, PWM generation, digital I/O, Smart Serial remote I/O, BISS, SSI, SPI, UART
interfaces and more. Configurations are available that are compatible with common
breakout cards and multi axis step motor drives like the Gecko G540 and
LeadshineMX3660/4660. All motion control firmware is open source and easily modified to
support new functions or different mixes of functions.
"""

def image():
	return '5i25.png'

def connectors():
	return ['P2 HDR26 Connector', 'P3 DB25F Connector']

def daughters():
	return ['7i76 5 Axis Stepper', '7i77 6 Axis Servo', '7i78 4 Axis Stepper']

